/* Implement the run method below! */

package client;

import java.net.*;
import java.io.*;

/**
 * The MessageReceiver is an own thread that runs continuously to receive
 * and display messages. The messages are received via a udp (datagram)
 * socket.
 *
 * Implement the marked part of the run()-methode below. Take a look
 * at the whole source code, especially at InstantMessenger and
 * NetworkUtilities. Use InstantMessenger.IM to have access to the only
 * existing instance of the InstantMessenger and the gui.
 */

public class MessageReceiver extends Thread {
	/** The UDP socket through which we receive the messages. */
	private DatagramSocket socket;

	public MessageReceiver(DatagramSocket socket) {
		super("IM MessageReceiver");

		this.socket = socket;
	}

	/**
	 * Run continuously to receive and display messages.
	 * Message are received in the specified format: type MESSAGE (1),
	 * messageLength (2), messageText (var).
	 */
	public void run() {
		/* optional variables */

		while (true) {
			/* Receive the actual packet, extract the message and display it to the user (-> gui!) */

			/* Implement */
		}

		System.out.println("Message receiving client done.");
		System.exit(0);
	}
}